net.minecraft.tileentity

## Class TileEntityCommandBlock

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityCommandBlock

-     public class TileEntityCommandBlock
      extends TileEntity

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityCommandBlock()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandBlockLogic` | `func_145993_a()`
    `Packet` | `getDescriptionPacket()`
    `void` | `readFromNBT(NBTTagCompound p_145839_1_)`
    `void` | `writeToNBT(NBTTagCompound p_145841_1_)`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockMetadata, getBlockType, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, markDirty, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, updateEntity, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntityCommandBlock

          public TileEntityCommandBlock()

  - ### Method Detail

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound p_145841_1_)

      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound p_145839_1_)

      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### getDescriptionPacket

          public Packet getDescriptionPacket()

      Overrides:
        `getDescriptionPacket` in class `TileEntity`

    - #### func_145993_a

          public CommandBlockLogic func_145993_a()